Index: /branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Classification/DiscriminantFunctionClassificationModel.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Classification/DiscriminantFunctionClassificationModel.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Classification/DiscriminantFunctionClassificationModel.cs	(revision 13368)
@@ -31,5 +31,5 @@
   /// Represents discriminant function classification data analysis models.
   /// </summary>
-  [StorableClass]
+  [StorableClass("4BF35837-8978-4620-A5F4-2F11473C5F75")]
   [Item("DiscriminantFunctionClassificationModel", "Represents a classification model that uses a discriminant function and classification thresholds.")]
   public class DiscriminantFunctionClassificationModel : NamedItem, IDiscriminantFunctionClassificationModel {
Index: /branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Classification/DiscriminantFunctionClassificationSolution.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Classification/DiscriminantFunctionClassificationSolution.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Classification/DiscriminantFunctionClassificationSolution.cs	(revision 13368)
@@ -30,5 +30,5 @@
   /// Represents a classification solution that uses a discriminant function and classification thresholds.
   /// </summary>
-  [StorableClass]
+  [StorableClass("D74CE509-DA7D-4176-B233-B725E418B6FB")]
   [Item("DiscriminantFunctionClassificationSolution", "Represents a classification solution that uses a discriminant function and classification thresholds.")]
   public class DiscriminantFunctionClassificationSolution : DiscriminantFunctionClassificationSolutionBase {
Index: /branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Classification/DiscriminantFunctionClassificationSolutionBase.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Classification/DiscriminantFunctionClassificationSolutionBase.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Classification/DiscriminantFunctionClassificationSolutionBase.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -33,11 +33,11 @@
   /// Represents a classification solution that uses a discriminant function and classification thresholds.
   /// </summary>
-  [StorableClass]
+  [StorableClass("ADF1D4B2-53A2-45D4-82AA-0A4063440E5C")]
   [Item("DiscriminantFunctionClassificationSolution", "Represents a classification solution that uses a discriminant function and classification thresholds.")]
   public abstract class DiscriminantFunctionClassificationSolutionBase : ClassificationSolutionBase, IDiscriminantFunctionClassificationSolution {
     private const string TrainingMeanSquaredErrorResultName = "Mean squared error (training)";
     private const string TestMeanSquaredErrorResultName = "Mean squared error (test)";
-    private const string TrainingRSquaredResultName = "Pearson's R² (training)";
-    private const string TestRSquaredResultName = "Pearson's R² (test)";
+    private const string TrainingRSquaredResultName = "Pearson's RÂ² (training)";
+    private const string TestRSquaredResultName = "Pearson's RÂ² (test)";
 
     public new IDiscriminantFunctionClassificationModel Model {
Index: /branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Classification/ThresholdCalculators/AccuracyMaximizationThresholdCalculator.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Classification/ThresholdCalculators/AccuracyMaximizationThresholdCalculator.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Classification/ThresholdCalculators/AccuracyMaximizationThresholdCalculator.cs	(revision 13368)
@@ -31,5 +31,5 @@
   /// Represents a threshold calculator that maximizes the weighted accuracy of the classifcation model.
   /// </summary>
-  [StorableClass]
+  [StorableClass("6A2B2F19-4D93-4EA1-B9BB-86013A49A0D2")]
   [Item("AccuracyMaximizationThresholdCalculator", "Represents a threshold calculator that maximizes the weighted accuracy of the classifcation model.")]
   public class AccuracyMaximizationThresholdCalculator : ThresholdCalculator {
Index: /branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Classification/ThresholdCalculators/NormalDistributionCutPointsThresholdCalculator.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Classification/ThresholdCalculators/NormalDistributionCutPointsThresholdCalculator.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Classification/ThresholdCalculators/NormalDistributionCutPointsThresholdCalculator.cs	(revision 13368)
@@ -31,5 +31,5 @@
   /// Represents a threshold calculator that calculates thresholds as the cutting points between the estimated class distributions (assuming normally distributed class values).
   /// </summary>
-  [StorableClass]
+  [StorableClass("64F90A49-6209-4FA1-BD33-14A09FF81B6E")]
   [Item("NormalDistributionCutPointsThresholdCalculator", "Represents a threshold calculator that calculates thresholds as the cutting points between the estimated class distributions (assuming normally distributed class values).")]
   public class NormalDistributionCutPointsThresholdCalculator : ThresholdCalculator {
Index: /branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Classification/ThresholdCalculators/ThresholdCalculator.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Classification/ThresholdCalculators/ThresholdCalculator.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Classification/ThresholdCalculators/ThresholdCalculator.cs	(revision 13368)
@@ -29,5 +29,5 @@
   /// Base class for threshold calculators for discriminant function classification models.
   /// </summary>
-  [StorableClass]
+  [StorableClass("69F2CB18-BFA0-405A-963F-C97238040C6A")]
   public abstract class ThresholdCalculator : NamedItem, IDiscriminantFunctionThresholdCalculator {
 
Index: /branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Clustering/ClusteringProblem.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Clustering/ClusteringProblem.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Clustering/ClusteringProblem.cs	(revision 13368)
@@ -25,5 +25,5 @@
 
 namespace HeuristicLab.Problems.DataAnalysis {
-  [StorableClass]
+  [StorableClass("83DF4872-DD64-4D18-A162-0E720F4D4628")]
   [Item("Clustering Problem", "A general clustering problem.")]
   public class ClusteringProblem : DataAnalysisProblem<IClusteringProblemData>, IClusteringProblem {
Index: /branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Clustering/ClusteringProblemData.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Clustering/ClusteringProblemData.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Clustering/ClusteringProblemData.cs	(revision 13368)
@@ -27,5 +27,5 @@
 
 namespace HeuristicLab.Problems.DataAnalysis {
-  [StorableClass]
+  [StorableClass("9DE03D68-BF5D-475F-B201-507A2D6B7AC0")]
   [Item("ClusteringProblemData", "Represents an item containing all data defining a clustering problem.")]
   public sealed class ClusteringProblemData : DataAnalysisProblemData, IClusteringProblemData, IStorableContent {
Index: /branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Clustering/ClusteringSolution.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Clustering/ClusteringSolution.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Clustering/ClusteringSolution.cs	(revision 13368)
@@ -29,5 +29,5 @@
   /// Represents a clustering data analysis solution
   /// </summary>
-  [StorableClass]
+  [StorableClass("D28D4444-44A9-44D8-9C7B-F82B41CF3767")]
   public class ClusteringSolution : DataAnalysisSolution, IClusteringSolution {
 
Index: /branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/ConstantModel.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/ConstantModel.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/ConstantModel.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -29,5 +29,5 @@
 
 namespace HeuristicLab.Problems.DataAnalysis {
-  [StorableClass]
+  [StorableClass("529C52FD-3D61-434D-BDD6-CCB92AA7BF5B")]
   [Item("Constant Model", "A model that always returns the same constant value regardless of the presented input data.")]
   public class ConstantModel : NamedItem, IRegressionModel, IClassificationModel, ITimeSeriesPrognosisModel, IStringConvertibleValue {
Index: /branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/DataAnalysisProblem.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/DataAnalysisProblem.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/DataAnalysisProblem.cs	(revision 13368)
@@ -29,5 +29,5 @@
 
 namespace HeuristicLab.Problems.DataAnalysis {
-  [StorableClass]
+  [StorableClass("504B5C51-C162-41DC-84C0-7F45D23C7565")]
   public abstract class DataAnalysisProblem<T> : Problem, IDataAnalysisProblem<T>,
     IProblemInstanceConsumer<T>, IProblemInstanceExporter<T>
Index: /branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/DataAnalysisProblemData.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/DataAnalysisProblemData.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/DataAnalysisProblemData.cs	(revision 13368)
@@ -32,5 +32,5 @@
 
 namespace HeuristicLab.Problems.DataAnalysis {
-  [StorableClass]
+  [StorableClass("AA614526-0A8F-4E2E-B143-E79929B44FD6")]
   public abstract class DataAnalysisProblemData : ParameterizedNamedItem, IDataAnalysisProblemData {
     protected const string DatasetParameterName = "Dataset";
Index: /branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/DataAnalysisSolution.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/DataAnalysisSolution.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/DataAnalysisSolution.cs	(revision 13368)
@@ -31,5 +31,5 @@
   /// Abstract base class for data analysis solutions
   /// </summary>
-  [StorableClass]
+  [StorableClass("170A6832-42C1-4CD9-AE22-6EC069AD92EA")]
   public abstract class DataAnalysisSolution : ResultCollection, IDataAnalysisSolution {
     private const string ModelResultName = "Model";
Index: /branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Regression/ConstantRegressionModel.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Regression/ConstantRegressionModel.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Regression/ConstantRegressionModel.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -29,5 +29,5 @@
 
 namespace HeuristicLab.Problems.DataAnalysis {
-  [StorableClass]
+  [StorableClass("5DF5FA54-5252-4502-B576-FE891434CA81")]
   [Item("Constant Regression Model", "A model that always returns the same constant value regardless of the presented input data.")]
   [Obsolete]
Index: /branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Regression/ConstantRegressionSolution.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Regression/ConstantRegressionSolution.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Regression/ConstantRegressionSolution.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -25,5 +25,5 @@
 
 namespace HeuristicLab.Problems.DataAnalysis {
-  [StorableClass]
+  [StorableClass("A9B29DFE-FE9E-4EED-BAD9-A406154D9A3E")]
   [Item(Name = "Constant Regression Solution", Description = "Represents a constant regression solution (model + data).")]
   public class ConstantRegressionSolution : RegressionSolution {
Index: /branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Regression/RegressionEnsembleModel.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Regression/RegressionEnsembleModel.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Regression/RegressionEnsembleModel.cs	(revision 13368)
@@ -30,5 +30,5 @@
   /// Represents regression solutions that contain an ensemble of multiple regression models
   /// </summary>
-  [StorableClass]
+  [StorableClass("84E1F7DC-EA44-47BA-957A-ECB4174B27CF")]
   [Item("RegressionEnsembleModel", "A regression model that contains an ensemble of multiple regression models")]
   public class RegressionEnsembleModel : NamedItem, IRegressionEnsembleModel {
Index: /branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Regression/RegressionEnsembleProblemData.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Regression/RegressionEnsembleProblemData.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Regression/RegressionEnsembleProblemData.cs	(revision 13368)
@@ -28,5 +28,5 @@
 
 namespace HeuristicLab.Problems.DataAnalysis {
-  [StorableClass]
+  [StorableClass("888AB250-DAB2-488A-B0E8-18E603EDE0C0")]
   [Item("RegressionEnsembleProblemData", "Represents an item containing all data defining a regression problem.")]
   public sealed class RegressionEnsembleProblemData : RegressionProblemData {
Index: /branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Regression/RegressionEnsembleSolution.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Regression/RegressionEnsembleSolution.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Regression/RegressionEnsembleSolution.cs	(revision 13368)
@@ -33,5 +33,5 @@
   /// Represents regression solutions that contain an ensemble of multiple regression models
   /// </summary>
-  [StorableClass]
+  [StorableClass("C04A947D-7FA8-47B9-A045-A72A5268B7E6")]
   [Item("Regression Ensemble Solution", "A regression solution that contains an ensemble of multiple regression models")]
   [Creatable(CreatableAttribute.Categories.DataAnalysisEnsembles, Priority = 100)]
Index: /branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Regression/RegressionProblem.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Regression/RegressionProblem.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Regression/RegressionProblem.cs	(revision 13368)
@@ -25,5 +25,5 @@
 
 namespace HeuristicLab.Problems.DataAnalysis {
-  [StorableClass]
+  [StorableClass("6E82104C-1B66-4783-BE61-2391CAA0B531")]
   [Item("Regression Problem", "A general regression problem.")]
   public class RegressionProblem : DataAnalysisProblem<IRegressionProblemData>, IRegressionProblem, IStorableContent {
Index: /branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Regression/RegressionProblemData.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Regression/RegressionProblemData.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Regression/RegressionProblemData.cs	(revision 13368)
@@ -30,5 +30,5 @@
 
 namespace HeuristicLab.Problems.DataAnalysis {
-  [StorableClass]
+  [StorableClass("A81C5088-A01B-44F2-AE12-733F38BA10C7")]
   [Item("RegressionProblemData", "Represents an item containing all data defining a regression problem.")]
   public class RegressionProblemData : DataAnalysisProblemData, IRegressionProblemData, IStorableContent {
Index: /branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Regression/RegressionSolution.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Regression/RegressionSolution.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Regression/RegressionSolution.cs	(revision 13368)
@@ -29,5 +29,5 @@
   /// Represents a regression data analysis solution
   /// </summary>
-  [StorableClass]
+  [StorableClass("24750E76-6B72-4389-8847-AD234FFFDF22")]
   public class RegressionSolution : RegressionSolutionBase {
     protected readonly Dictionary<int, double> evaluationCache;
Index: /branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Regression/RegressionSolutionBase.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Regression/RegressionSolutionBase.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Regression/RegressionSolutionBase.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -28,5 +28,5 @@
 
 namespace HeuristicLab.Problems.DataAnalysis {
-  [StorableClass]
+  [StorableClass("DB55A1CE-5213-4C10-9ED6-56523523303E")]
   public abstract class RegressionSolutionBase : DataAnalysisSolution, IRegressionSolution {
     protected const string TrainingMeanSquaredErrorResultName = "Mean squared error (training)";
@@ -34,6 +34,6 @@
     protected const string TrainingMeanAbsoluteErrorResultName = "Mean absolute error (training)";
     protected const string TestMeanAbsoluteErrorResultName = "Mean absolute error (test)";
-    protected const string TrainingSquaredCorrelationResultName = "Pearson's R² (training)";
-    protected const string TestSquaredCorrelationResultName = "Pearson's R² (test)";
+    protected const string TrainingSquaredCorrelationResultName = "Pearson's RÂ² (training)";
+    protected const string TestSquaredCorrelationResultName = "Pearson's RÂ² (test)";
     protected const string TrainingRelativeErrorResultName = "Average relative error (training)";
     protected const string TestRelativeErrorResultName = "Average relative error (test)";
Index: /branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/TimeSeriesPrognosis/Models/ConstantTimeSeriesPrognosisModel.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/TimeSeriesPrognosis/Models/ConstantTimeSeriesPrognosisModel.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/TimeSeriesPrognosis/Models/ConstantTimeSeriesPrognosisModel.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -28,5 +28,5 @@
 
 namespace HeuristicLab.Problems.DataAnalysis {
-  [StorableClass]
+  [StorableClass("07695084-D7E6-4487-9FDF-C567C458AD35")]
   [Item("Constant TimeSeries Model", "A time series model that returns for all prediciton the same constant value.")]
   [Obsolete]
Index: /branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/TimeSeriesPrognosis/Models/TimeSeriesPrognosisAutoRegressiveModel.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/TimeSeriesPrognosis/Models/TimeSeriesPrognosisAutoRegressiveModel.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/TimeSeriesPrognosis/Models/TimeSeriesPrognosisAutoRegressiveModel.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -28,5 +28,5 @@
 
 namespace HeuristicLab.Problems.DataAnalysis {
-  [StorableClass]
+  [StorableClass("2FDD28A6-8FF5-4ECE-9145-9D23C6E8A0E1")]
   [Item("Autoregressive TimeSeries Model", "A linear autoregressive time series model used to predict future values.")]
   public class TimeSeriesPrognosisAutoRegressiveModel : NamedItem, ITimeSeriesPrognosisModel {
Index: /branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/TimeSeriesPrognosis/TimeSeriesPrognosisProblem.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/TimeSeriesPrognosis/TimeSeriesPrognosisProblem.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/TimeSeriesPrognosis/TimeSeriesPrognosisProblem.cs	(revision 13368)
@@ -25,5 +25,5 @@
 
 namespace HeuristicLab.Problems.DataAnalysis {
-  [StorableClass]
+  [StorableClass("B028DB4F-ED00-4EAF-8F64-16398E788D7D")]
   [Item("Time-series Prognosis Problem", "A general time-series prognosis problem.")]
   public class TimeSeriesPrognosisProblem : DataAnalysisProblem<ITimeSeriesPrognosisProblemData>, ITimeSeriesPrognosisProblem {
Index: /branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/TimeSeriesPrognosis/TimeSeriesPrognosisProblemData.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/TimeSeriesPrognosis/TimeSeriesPrognosisProblemData.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/TimeSeriesPrognosis/TimeSeriesPrognosisProblemData.cs	(revision 13368)
@@ -30,5 +30,5 @@
 
 namespace HeuristicLab.Problems.DataAnalysis {
-  [StorableClass]
+  [StorableClass("35FCCE5F-B1E4-48D2-8567-BCCBE42A90D0")]
   [Item("TimeSeriesPrognosisProblemData", "Represents an item containing all data defining a time series prognosis problem.")]
   public class TimeSeriesPrognosisProblemData : RegressionProblemData, ITimeSeriesPrognosisProblemData {
Index: /branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/TimeSeriesPrognosis/TimeSeriesPrognosisResults.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/TimeSeriesPrognosis/TimeSeriesPrognosisResults.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/TimeSeriesPrognosis/TimeSeriesPrognosisResults.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -30,5 +30,5 @@
 
 namespace HeuristicLab.Problems.DataAnalysis {
-  [StorableClass]
+  [StorableClass("B34891AD-2C36-40AE-93B2-59DAE616DDEE")]
   [Item("Prognosis Results", "Represents a collection of time series prognosis results.")]
   public class TimeSeriesPrognosisResults : ResultCollection {
@@ -38,6 +38,6 @@
     protected const string PrognosisTrainingMeanAbsoluteErrorResultName = "Mean absolute error (training)";
     protected const string PrognosisTestMeanAbsoluteErrorResultName = "Mean absolute error (test)";
-    protected const string PrognosisTrainingSquaredCorrelationResultName = "Pearson's R² (training)";
-    protected const string PrognosisTestSquaredCorrelationResultName = "Pearson's R² (test)";
+    protected const string PrognosisTrainingSquaredCorrelationResultName = "Pearson's RÂ² (training)";
+    protected const string PrognosisTestSquaredCorrelationResultName = "Pearson's RÂ² (test)";
     protected const string PrognosisTrainingRelativeErrorResultName = "Average relative error (training)";
     protected const string PrognosisTestRelativeErrorResultName = "Average relative error (test)";
Index: /branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/TimeSeriesPrognosis/TimeSeriesPrognosisSolution.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/TimeSeriesPrognosis/TimeSeriesPrognosisSolution.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/TimeSeriesPrognosis/TimeSeriesPrognosisSolution.cs	(revision 13368)
@@ -28,5 +28,5 @@
   /// Represents a time series prognosis data analysis solution
   /// </summary>
-  [StorableClass]
+  [StorableClass("C8E2A589-8DFD-4253-A5A3-7CA2B51FBF50")]
   public class TimeSeriesPrognosisSolution : TimeSeriesPrognosisSolutionBase {
     [StorableConstructor]
Index: /branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/TimeSeriesPrognosis/TimeSeriesPrognosisSolutionBase.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/TimeSeriesPrognosis/TimeSeriesPrognosisSolutionBase.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/TimeSeriesPrognosis/TimeSeriesPrognosisSolutionBase.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -28,5 +28,5 @@
 
 namespace HeuristicLab.Problems.DataAnalysis {
-  [StorableClass]
+  [StorableClass("AE448E78-5BD4-4DC5-8D4C-438A6AB13968")]
   public abstract class TimeSeriesPrognosisSolutionBase : RegressionSolutionBase, ITimeSeriesPrognosisSolution {
     #region result names
Index: /branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Transformations/CopyColumnTransformation.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Transformations/CopyColumnTransformation.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Transformations/CopyColumnTransformation.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -29,5 +29,5 @@
 
 namespace HeuristicLab.Problems.DataAnalysis {
-  [StorableClass]
+  [StorableClass("33523EF7-0312-40D6-B54E-D1C92B50F522")]
   [Item("CopyColumnTransformation", "Represents a transformation which represents a copied Column.")]
   public class CopyColumnTransformation : Transformation {
Index: /branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Transformations/ExponentialTransformation.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Transformations/ExponentialTransformation.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Transformations/ExponentialTransformation.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿using System;
+using System;
 using System.Collections.Generic;
 using System.Linq;
@@ -9,5 +9,5 @@
 
 namespace HeuristicLab.Problems.DataAnalysis {
-  [StorableClass]
+  [StorableClass("C57F9221-15A5-44E8-8E04-5F06205C4564")]
   [Item("Exponential Transformation", "f(x) = b ^ x | Represents a exponential transformation.")]
   public class ExponentialTransformation : Transformation<double> {
Index: /branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Transformations/LinearTransformation.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Transformations/LinearTransformation.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis/3.4/Implementation/Transformations/LinearTransformation.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -31,5 +31,5 @@
 
 namespace HeuristicLab.Problems.DataAnalysis {
-  [StorableClass]
+  [StorableClass("67C4EA60-8AB0-408E-B27E-0BD8326FC7E7")]
   [Item("Linear Transformation", "f(x) = k * x + d | Represents a linear transformation with multiplication and addition.")]
   public class LinearTransformation : Transformation<double> {
